| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::CIETongueWidget Class Reference
Inheritance diagram for Digikam::CIETongueWidget:

## Public Member Functions
| CIETongueWidget (int w, int h, QWidget *const parent=nullptr, cmsHPROFILE hMonitor=nullptr)
void | loadingFailed ()
void | loadingStarted ()
bool | setProfileData (const QByteArray &profileData=QByteArray())
bool | setProfileFromFile (const QUrl &file=QUrl())
void | uncalibratedColor ()

## Protected Member Functions
QRgb | colorByCoord (double x, double y)
void | drawLabels ()
void | drawSmallElipse (LPcmsCIExyY xyY, BYTE r, BYTE g, BYTE b, int sz)
void | drawTongueAxis ()
void | drawTongueGrid ()
void | fillTongue ()
int | grids (double val) const
void | outlineTongue ()
void | paintEvent (QPaintEvent *) override
void | resizeEvent (QResizeEvent *event) override